LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XLayoutManagerEventBroadcaster Interface Reference

makes it possible to receive events from a layout manager. More...

`import"XLayoutManagerEventBroadcaster.idl";`

Inheritance diagram for XLayoutManagerEventBroadcaster:

## Public Member Functions
void | addLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| adds a layout manager event listener to the object's listener list. More...
void | removeLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| removes a layout manager event listener from the object's listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive events from a layout manager.

See Also
  com::sun::star::frame::LayoutManager

Since
  OOo 2.0

## Member Function Documentation

void addLayoutManagerEventListener | ( | [in] XLayoutManagerListener | aLayoutManagerListener | ) |

adds a layout manager event listener to the object's listener list.

Parameters

  aLayoutManagerListener | a listener that wants to receive events regarding user interface elements that are controlled by a layout manager.

void removeLayoutManagerEventListener | ( | [in] XLayoutManagerListener | aLayoutManagerListener | ) |

removes a layout manager event listener from the object's listener list.

Parameters

  aLayoutManagerListener | a listener that don't want to receive events regarding user interface elements that are controlled by a layout manager.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLayoutManagerEventBroadcaster.idl